# PetscLogStagePush

This function pushes a stage on the stack.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscLogStagePush(int stage)

Not Collective

### Input Parameter

stage -The stage on which to log

### Usage

If the option -log_sumary is used to run the program containing the following code, then 2 sets of summary data will be printed during PetscFinalize().

          PetscInitialize(int *argc,char ***args,0,0);
          [stage 0 of code]
          PetscLogStagePush(1);
          [stage 1 of code]
          PetscLogStagePop();
          PetscBarrier(...);
          [more stage 0 of code]
          PetscFinalize();

### Notes

Use PetscLogStageRegister() to register a stage.

### Keywords

log, push, stage

### See Also

PetscLogStagePop(), PetscLogStageRegister(), PetscBarrier()

Level:intermediate
Location:src/sys/plog/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html